CVE-2005-3520
CVSS4.3
发布时间 :2005-11-06 06:03:00
修订时间 :2016-10-17 23:36:06
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in MySource 2.14.0 allow remote attackers to inject arbitrary web script or HTML via (1) the target_url parameter in upgrade_in_progress_backend.php, (2) the stylesheet parameter in edit_table_cell_type_wysiwyg.php, and the bgcolor parameter in (3) insert_table.php, (4) edit_table_cell_props.php, (5) header.php, (6) edit_table_row_props.php, and (7) edit_table_props.php.


[CNNVD]MySource多个跨站脚本漏洞(CNNVD-200511-150)

        MySource 是一款开源的内容管理系统。
        MySource 2.14.0中的多个跨站脚本攻击(XSS)漏洞,可让远程攻击者通过以下方式注入任意Web脚本或HTML:(1) upgrade_in_progress_backend.php中的target_url参数,(2)edit_table_cell_type_wysiwyg.php中的stylesheet参数,以及(3) insert_table.php,(4) edit_table_cell_props.php,(5) header.php,(6) edit_table_row_props.php和(7) edit_table_props.php中的bgcolor参数。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mysource:mysource:2.14.0rc2
cpe:/a:mysource:mysource:2.14.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3520
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3520
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-150
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112966933202769&w=2
(UNKNOWN)  BUGTRAQ  20051018 Secunia Research: MySource Cross-Site Scripting and File Inclusion
http://securityreason.com/securityalert/92
(UNKNOWN)  SREASON  92
http://securitytracker.com/id?1015075
(VENDOR_ADVISORY)  SECTRACK  1015075
http://www.securityfocus.com/bid/15132
(PATCH)  BID  15132
http://www.vupen.com/english/advisories/2005/2132
(UNKNOWN)  VUPEN  ADV-2005-2132
http://xforce.iss.net/xforce/xfdb/22771
(PATCH)  XF  mysource-multiple-scripts-xss(22771)

- 漏洞信息

MySource多个跨站脚本漏洞
中危 跨站脚本
2005-11-06 00:00:00 2005-11-08 00:00:00
远程  
        MySource 是一款开源的内容管理系统。
        MySource 2.14.0中的多个跨站脚本攻击(XSS)漏洞,可让远程攻击者通过以下方式注入任意Web脚本或HTML:(1) upgrade_in_progress_backend.php中的target_url参数,(2)edit_table_cell_type_wysiwyg.php中的stylesheet参数,以及(3) insert_table.php,(4) edit_table_cell_props.php,(5) header.php,(6) edit_table_row_props.php和(7) edit_table_props.php中的bgcolor参数。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        MySource MySource 2.14 .0
        http://mysource.squiz.net/__data/page/1015/mysource-2.14.2.tar.gz

- 漏洞信息

20044
MySource upgrade_in_progress_backend.php target_url Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

MySource contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'target_url' variable upon submission to the 'upgrade_in_progress_back-end.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-10-18 2005-09-30
Unknow Unknow

- 解决方案

Upgrade to version 2.14.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站